.ls-ui-comp-dialog { padding-right: 16px }
.ls-ui-comp-dialog span { display: inline-block }
.ls-ui-comp-dialog-confirm button { margin: 0 8px 0 0 }
.ls-ui-comp-dialog-cancel button { margin-left: 8px }
.ls-ui-comp-dialog p {
    display: block;
    padding: 11px 240px 13px 6px;
    margin: 0;
}
.ls-ui-comp-dialog-buttons {
    position: absolute;
    top: 50%;
    right: 15px;
}
.ls-ui-ctrl-geolocation .ls-ui-comp-geolocation,
.ls-ui-ctrl-primary .ls-ui-comp-close_button {
    right: 0;
    top: 0;
}
.ls-ui-comp-dialog span {
    position: relative;
    top: -22px;
    width: 100px;
}
.ls-ui-comp-geolocation {
    width: 44px;
    height: 44px;
}
.ls-ui-comp-geolocation .ls-ui-comp-geolocation-label { text-indent: -9999px }
.ls-ui-comp-search .ls-ui-input { font-size: 1.4em }
.ls-ui-ctrl-primary { padding: 20px 16px }
.ls-ui-ctrl-primary .ls-ui-ctrl-primary-search { margin: 5px 0 0 }
.ls-ui-ctrl-active .ls-ui-ctrl-primary-search { margin-right: 52px }
.ls-ui-ctrl-open .ls-ui-ctrl-primary-search { margin-right: 0 }
.ls-ui-ctrl-geolocation .ls-ui-comp-auto_complete,
.ls-ui-ctrl-geolocation .ls-ui-comp-message,
.ls-ui-ctrl-geolocation .ls-ui-comp-search_results,
.ls-ui-ctrl-geolocation .ls-ui-ctrl-primary-search { margin-right: 52px }
.ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-auto_complete,
.ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-message,
.ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-search_results,
.ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-ctrl-primary-search { margin-right: 104px }
.ls-ui-ctrl-geolocation.ls-ui-ctrl-active .ls-ui-comp-geolocation {
    position: absolute;
    top: 0;
    right: 50px;
}
.ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-auto_complete,
.ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-message,
.ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-search_results,
.ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-ctrl-primary-search { margin-right: 52px }
.ls-ui-ctrl-geolocation.ls-ui-ctrl-open .ls-ui-comp-geolocation { right: 0 }
.ls-ui-ctrl-primary .ls-ui-o {
    max-width: 976px;
    margin: 0 auto;
}
